<?php
/**
 * Aliases for special pages of the PagesList extension
 *
 * @file
 * @ingroup Extensions
 */

$specialPageAliases = [];

/** English (English) */
$specialPageAliases['en'] = [
	'PagesList' => [ 'PagesList' ],
	'PagesListQueryPage' => [ 'PagesListQueryPage' ],
];

/** Arabic (العربية) */
$specialPageAliases['ar'] = [
	'PagesList' => [ 'قائمة_الصفحات' ],
	'PagesListQueryPage' => [ 'صفحة_قائمة_استعلام_الصفحات' ],
];

/** German (Deutsch) */
$specialPageAliases['de'] = [
	'PagesList' => [ 'Seitenliste' ],
	'PagesListQueryPage' => [ 'Seitenlistenabfrageseite' ],
];

/** Luxembourgish (Lëtzebuergesch) */
$specialPageAliases['lb'] = [
	'PagesList' => [ 'Lëscht_vu_Säiten' ],
];

/** Northern Luri (لۊری شومالی) */
$specialPageAliases['lrc'] = [
	'PagesList' => [ 'نومگە_بألگە_یا' ],
];

/** Macedonian (македонски) */
$specialPageAliases['mk'] = [
	'PagesList' => [ 'СписокНаСтраници' ],
	'PagesListQueryPage' => [ 'СписокНаСтранициСтраницаЗаБарање' ],
];

/** Serbian Cyrillic (српски (ћирилица)) */
$specialPageAliases['sr-ec'] = [
	'PagesList' => [ 'СписакСтраница' ],
	'PagesListQueryPage' => [ 'СписакСтраницаЗаБирање' ],
];

/** Serbian Latin (srpski (latinica)) */
$specialPageAliases['sr-el'] = [
	'PagesList' => [ 'SpisakStranica' ],
	'PagesListQueryPage' => [ 'SpisakStranicaZaBiranje' ],
];

/** Urdu (اردو) */
$specialPageAliases['ur'] = [
	'PagesList' => [ 'فہرست_صفحات' ],
];

/** Simplified Chinese (中文（简体）‎) */
$specialPageAliases['zh-hans'] = [
	'PagesList' => [ '页面列表' ],
	'PagesListQueryPage' => [ '页面列表查询页面' ],
];
